Coin: SoReadError Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoReadError Class Reference
Error Handling Classes

The SoReadError class is used during model import operations. More...

`#include <Inventor/errors/SoReadError.h>`

Inheritance diagram for SoReadError:

## Public Member Functions
virtual SoType | getTypeId (void) const
Public Member Functions inherited from SoError
virtual | ~SoError ()
const SbString & | getDebugString (void) const
SbBool | isOfType (const SoType type) const

## Static Public Member Functions
static void | setHandlerCallback (SoErrorCB *const function, void *const data)
static SoErrorCB * | getHandlerCallback (void)
static void * | getHandlerData (void)
static SoType | getClassTypeId (void)
static void | post (const SoInput *const input, const char *const format,...)
static void | initClass (void)
Static Public Member Functions inherited from SoError
static void | setHandlerCallback (SoErrorCB *const func, void *const data)
static SoErrorCB * | getHandlerCallback (void)
static void * | getHandlerData (void)
static SoType | getClassTypeId (void)
static void | post (const char *const format,...)
static SbString | getString (const SoNode *const node)
static SbString | getString (const SoPath *const path)
static SbString | getString (const SoEngine *const engine)
static void | initClass (void)
static void | initClasses (void)

## Protected Member Functions
virtual SoErrorCBPtr | getHandler (void *&data) const
Protected Member Functions inherited from SoError
void | setDebugString (const char *const str)
void | appendToDebugString (const char *const str)
void | handleError (void)

## Additional Inherited Members
Static Protected Member Functions inherited from SoError
static void | defaultHandlerCB (const SoError *error, void *userdata)

## Detailed Description

The SoReadError class is used during model import operations.

During model file import, this class will be used to output any error or warning messages.

Depending on your application, setting up your own error handler callbacks for SoReadError might be a good idea.

## Member Function Documentation

## ◆ setHandlerCallback()

void SoReadError::setHandlerCallback | ( | SoErrorCB *const | function,
|  | void *const | data )
| static

This method sets the error handler callback for messages posted via this class.

Note that this will not override the error/debug message handler for subclasses, these will have to be overridden by calling the subclass' setHandlerCallback() method.

See also
  defaultHandlerCB()

## ◆ getHandlerCallback()

SoErrorCB * SoReadError::getHandlerCallback | ( | void |  | ) |
| static

Returns the error handler callback for messages posted via this class.

## ◆ getHandlerData()

void * SoReadError::getHandlerData | ( | void |  | ) |
| static

This method returns the pointer used for passing data back to the callback handler method.

## ◆ getClassTypeId()

SoType SoReadError::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType for this class.

See also
  getTypeId()

## ◆ getTypeId()

SoType SoReadError::getTypeId | ( | void |  | ) | const
| virtual

This method returns the SoType of a particular object instance.

See also
  getClassTypeId()

Reimplemented from SoError.

## ◆ post()

void SoReadError::post | ( | const SoInput *const | in,
|  | const char *const | format,
|  |  | ... )
| static

Method used from import code to post error or warning messages for model files which are not 100% compliant to the format specification.

The messages will be wrapped within information on line number, file offset etc.

## ◆ getHandler()

SoErrorCB * SoReadError::getHandler | ( | void *& | data | ) | const
| protectedvirtual

This is just a convenience wrapper around the getHandlerCallback() and getHandlerData() methods.

Reimplemented from SoError.

The documentation for this class was generated from the following files:

- SoReadError.h
- SoReadError.cpp